﻿using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace Jerry.DroidBuilder.Diff
{
    public class QuickDiff
    {
        public static bool IsDifferent(string fileNameA, string fileNameB)
        {
            var fileInfoA = new FileInfo(fileNameA);
            var fileInfoB = new FileInfo(fileNameB);

            return (fileInfoA.LastWriteTimeUtc != fileInfoB.LastWriteTimeUtc) || (fileInfoA.Length != fileInfoB.Length);
        }
    }
}
