﻿using System.Windows;
using System.Windows.Controls;

namespace Jerry.DroidBuilder.ThemeEditor.Controls
{
    public class LayoutElement : Control
    {
        static LayoutElement()
        {
            DefaultStyleKeyProperty.OverrideMetadata(typeof(LayoutElement), new FrameworkPropertyMetadata(typeof(LayoutElement)));
        }

        public LayoutInfo LayoutInfo
        {
            get { return (LayoutInfo)GetValue(LayoutInfoProperty); }
            set { SetValue(LayoutInfoProperty, value); }
        }

        public static readonly DependencyProperty LayoutInfoProperty =
            DependencyProperty.Register("LayoutInfo", typeof(LayoutInfo), typeof(LayoutElement), new PropertyMetadata());
    }
}
