using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class AbsListView : ViewGroup
    {
        [Category("AbsListView")]
        [XmlAttribute(AttributeName = "listSelector", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ListSelector { get; set; }

        [Category("AbsListView")]
        [XmlAttribute(AttributeName = "drawSelectorOnTop", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool DrawSelectorOnTop { get; set; }

        [Category("AbsListView")]
        [XmlAttribute(AttributeName = "stackFromBottom", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool StackFromBottom { get; set; }

        [Category("AbsListView")]
        [XmlAttribute(AttributeName = "scrollingCache", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool ScrollingCache { get; set; }

        [Category("AbsListView")]
        [XmlAttribute(AttributeName = "textFilterEnabled", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool TextFilterEnabled { get; set; }

        [Category("AbsListView")]
        [XmlAttribute(AttributeName = "transcriptMode", Namespace = "http://schemas.android.com/apk/res/android")]
        public TranscriptMode TranscriptMode { get; set; }

        [Category("AbsListView")]
        [XmlAttribute(AttributeName = "cacheColorHint", Namespace = "http://schemas.android.com/apk/res/android")]
        public string CacheColorHint { get; set; }

        [Category("AbsListView")]
        [XmlAttribute(AttributeName = "fastScrollEnabled", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool FastScrollEnabled { get; set; }

        [Category("AbsListView")]
        [XmlAttribute(AttributeName = "smoothScrollbar", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool SmoothScrollbar { get; set; }
    }
}
