using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class AlertDialog : AndroidElement
    {
        [Category("AlertDialog")]
        [XmlAttribute(AttributeName = "fullDark", Namespace = "http://schemas.android.com/apk/res/android")]
        public string FullDark { get; set; }

        [Category("AlertDialog")]
        [XmlAttribute(AttributeName = "topDark", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TopDark { get; set; }

        [Category("AlertDialog")]
        [XmlAttribute(AttributeName = "centerDark", Namespace = "http://schemas.android.com/apk/res/android")]
        public string CenterDark { get; set; }

        [Category("AlertDialog")]
        [XmlAttribute(AttributeName = "bottomDark", Namespace = "http://schemas.android.com/apk/res/android")]
        public string BottomDark { get; set; }

        [Category("AlertDialog")]
        [XmlAttribute(AttributeName = "fullBright", Namespace = "http://schemas.android.com/apk/res/android")]
        public string FullBright { get; set; }

        [Category("AlertDialog")]
        [XmlAttribute(AttributeName = "topBright", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TopBright { get; set; }

        [Category("AlertDialog")]
        [XmlAttribute(AttributeName = "centerBright", Namespace = "http://schemas.android.com/apk/res/android")]
        public string CenterBright { get; set; }

        [Category("AlertDialog")]
        [XmlAttribute(AttributeName = "bottomBright", Namespace = "http://schemas.android.com/apk/res/android")]
        public string BottomBright { get; set; }

        [Category("AlertDialog")]
        [XmlAttribute(AttributeName = "bottomMedium", Namespace = "http://schemas.android.com/apk/res/android")]
        public string BottomMedium { get; set; }

        [Category("AlertDialog")]
        [XmlAttribute(AttributeName = "centerMedium", Namespace = "http://schemas.android.com/apk/res/android")]
        public string CenterMedium { get; set; }
    }
}
