using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class CheckBoxPreference : Preference
    {
        [Category("CheckBoxPreference")]
        [XmlAttribute(AttributeName = "summaryOn", Namespace = "http://schemas.android.com/apk/res/android")]
        public string SummaryOn { get; set; }

        [Category("CheckBoxPreference")]
        [XmlAttribute(AttributeName = "summaryOff", Namespace = "http://schemas.android.com/apk/res/android")]
        public string SummaryOff { get; set; }

        [Category("CheckBoxPreference")]
        [XmlAttribute(AttributeName = "disableDependentsState", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool DisableDependentsState { get; set; }
    }
}
