using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class AnimatedRotateDrawable : AndroidElement
    {
        [Category("AnimatedRotateDrawable")]
        [XmlAttribute(AttributeName = "visible", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool Visible { get; set; }

        [Category("AnimatedRotateDrawable")]
        [XmlAttribute(AttributeName = "frameDuration", Namespace = "http://schemas.android.com/apk/res/android")]
        public int FrameDuration { get; set; }

        [Category("AnimatedRotateDrawable")]
        [XmlAttribute(AttributeName = "framesCount", Namespace = "http://schemas.android.com/apk/res/android")]
        public int FramesCount { get; set; }

        [Category("AnimatedRotateDrawable")]
        [XmlAttribute(AttributeName = "pivotX", Namespace = "http://schemas.android.com/apk/res/android")]
        public string PivotX { get; set; }

        [Category("AnimatedRotateDrawable")]
        [XmlAttribute(AttributeName = "pivotY", Namespace = "http://schemas.android.com/apk/res/android")]
        public string PivotY { get; set; }

        [Category("AnimatedRotateDrawable")]
        [XmlAttribute(AttributeName = "drawable", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Drawable { get; set; }
    }
}
