using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class BitmapDrawable : AndroidElement
    {
        [Category("BitmapDrawable")]
        [XmlAttribute(AttributeName = "src", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Src { get; set; }

        [Category("BitmapDrawable")]
        [XmlAttribute(AttributeName = "antialias", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool Antialias { get; set; }

        [Category("BitmapDrawable")]
        [XmlAttribute(AttributeName = "filter", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool Filter { get; set; }

        [Category("BitmapDrawable")]
        [XmlAttribute(AttributeName = "dither", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool Dither { get; set; }

        [Category("BitmapDrawable")]
        [XmlAttribute(AttributeName = "gravity", Namespace = "http://schemas.android.com/apk/res/android")]
        public Gravity Gravity { get; set; }

        [Category("BitmapDrawable")]
        [XmlAttribute(AttributeName = "tileMode", Namespace = "http://schemas.android.com/apk/res/android")]
        public TileMode TileMode { get; set; }
    }
}
