using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class ClipDrawable : AndroidElement
    {
        [Category("ClipDrawable")]
        [XmlAttribute(AttributeName = "clipOrientation", Namespace = "http://schemas.android.com/apk/res/android")]
        public ClipOrientation ClipOrientation { get; set; }

        [Category("ClipDrawable")]
        [XmlAttribute(AttributeName = "gravity", Namespace = "http://schemas.android.com/apk/res/android")]
        public Gravity Gravity { get; set; }

        [Category("ClipDrawable")]
        [XmlAttribute(AttributeName = "drawable", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Drawable { get; set; }
    }
}
