using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class RotateAnimation : AndroidElement
    {
        [Category("RotateAnimation")]
        [XmlAttribute(AttributeName = "fromDegrees", Namespace = "http://schemas.android.com/apk/res/android")]
        public double FromDegrees { get; set; }

        [Category("RotateAnimation")]
        [XmlAttribute(AttributeName = "toDegrees", Namespace = "http://schemas.android.com/apk/res/android")]
        public double ToDegrees { get; set; }

        [Category("RotateAnimation")]
        [XmlAttribute(AttributeName = "pivotX", Namespace = "http://schemas.android.com/apk/res/android")]
        public string PivotX { get; set; }

        [Category("RotateAnimation")]
        [XmlAttribute(AttributeName = "pivotY", Namespace = "http://schemas.android.com/apk/res/android")]
        public string PivotY { get; set; }
    }
}
