using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class ShapeDrawable : AndroidElement
    {
        [Category("ShapeDrawable")]
        [XmlAttribute(AttributeName = "color", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Color { get; set; }

        [Category("ShapeDrawable")]
        [XmlAttribute(AttributeName = "width", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Width { get; set; }

        [Category("ShapeDrawable")]
        [XmlAttribute(AttributeName = "height", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Height { get; set; }
    }
}
