using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class TranslateAnimation : AndroidElement
    {
        [Category("TranslateAnimation")]
        [XmlAttribute(AttributeName = "fromXDelta", Namespace = "http://schemas.android.com/apk/res/android")]
        public string FromXDelta { get; set; }

        [Category("TranslateAnimation")]
        [XmlAttribute(AttributeName = "toXDelta", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ToXDelta { get; set; }

        [Category("TranslateAnimation")]
        [XmlAttribute(AttributeName = "fromYDelta", Namespace = "http://schemas.android.com/apk/res/android")]
        public string FromYDelta { get; set; }

        [Category("TranslateAnimation")]
        [XmlAttribute(AttributeName = "toYDelta", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ToYDelta { get; set; }
    }
}
