using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class ContactsDataKind : AndroidElement
    {
        [Category("ContactsDataKind")]
        [XmlAttribute(AttributeName = "mimeType", Namespace = "http://schemas.android.com/apk/res/android")]
        public string MimeType { get; set; }

        [Category("ContactsDataKind")]
        [XmlAttribute(AttributeName = "icon", Namespace = "http://schemas.android.com/apk/res/android")]
        public Icon Icon { get; set; }

        [Category("ContactsDataKind")]
        [XmlAttribute(AttributeName = "summaryColumn", Namespace = "http://schemas.android.com/apk/res/android")]
        public string SummaryColumn { get; set; }

        [Category("ContactsDataKind")]
        [XmlAttribute(AttributeName = "detailColumn", Namespace = "http://schemas.android.com/apk/res/android")]
        public string DetailColumn { get; set; }

        [Category("ContactsDataKind")]
        [XmlAttribute(AttributeName = "detailSocialSummary", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool DetailSocialSummary { get; set; }
    }
}
