using System;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    [Flags]
    public enum InputType
    {
        none = 0x00000000,

        text = 0x00000001,

        textCapCharacters = 0x00001001,

        textCapWords = 0x00002001,

        textCapSentences = 0x00004001,

        textAutoCorrect = 0x00008001,

        textAutoComplete = 0x00010001,

        textMultiLine = 0x00020001,

        textImeMultiLine = 0x00040001,

        textNoSuggestions = 0x00080001,

        textUri = 0x00000011,

        textEmailAddress = 0x00000021,

        textEmailSubject = 0x00000031,

        textShortMessage = 0x00000041,

        textLongMessage = 0x00000051,

        textPersonName = 0x00000061,

        textPostalAddress = 0x00000071,

        textPassword = 0x00000081,

        textVisiblePassword = 0x00000091,

        textWebEditText = 0x000000a1,

        textFilter = 0x000000b1,

        textPhonetic = 0x000000c1,

        number = 0x00000002,

        numberSigned = 0x00001002,

        numberDecimal = 0x00002002,

        phone = 0x00000003,

        datetime = 0x00000004,

        date = 0x00000014,

        time = 0x00000024,
    }
}
