using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class ExpandableListView : AndroidElement
    {
        [Category("ExpandableListView")]
        [XmlAttribute(AttributeName = "groupIndicator", Namespace = "http://schemas.android.com/apk/res/android")]
        public string GroupIndicator { get; set; }

        [Category("ExpandableListView")]
        [XmlAttribute(AttributeName = "childIndicator", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ChildIndicator { get; set; }

        [Category("ExpandableListView")]
        [XmlAttribute(AttributeName = "indicatorLeft", Namespace = "http://schemas.android.com/apk/res/android")]
        public string IndicatorLeft { get; set; }

        [Category("ExpandableListView")]
        [XmlAttribute(AttributeName = "indicatorRight", Namespace = "http://schemas.android.com/apk/res/android")]
        public string IndicatorRight { get; set; }

        [Category("ExpandableListView")]
        [XmlAttribute(AttributeName = "childIndicatorLeft", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ChildIndicatorLeft { get; set; }

        [Category("ExpandableListView")]
        [XmlAttribute(AttributeName = "childIndicatorRight", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ChildIndicatorRight { get; set; }

        [Category("ExpandableListView")]
        [XmlAttribute(AttributeName = "childDivider", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ChildDivider { get; set; }
    }
}
