using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class GestureOverlayView : AndroidElement
    {
        [Category("GestureOverlayView")]
        [XmlAttribute(AttributeName = "gestureStrokeWidth", Namespace = "http://schemas.android.com/apk/res/android")]
        public double GestureStrokeWidth { get; set; }

        [Category("GestureOverlayView")]
        [XmlAttribute(AttributeName = "gestureColor", Namespace = "http://schemas.android.com/apk/res/android")]
        public string GestureColor { get; set; }

        [Category("GestureOverlayView")]
        [XmlAttribute(AttributeName = "uncertainGestureColor", Namespace = "http://schemas.android.com/apk/res/android")]
        public string UncertainGestureColor { get; set; }

        [Category("GestureOverlayView")]
        [XmlAttribute(AttributeName = "fadeOffset", Namespace = "http://schemas.android.com/apk/res/android")]
        public int FadeOffset { get; set; }

        [Category("GestureOverlayView")]
        [XmlAttribute(AttributeName = "fadeDuration", Namespace = "http://schemas.android.com/apk/res/android")]
        public int FadeDuration { get; set; }

        [Category("GestureOverlayView")]
        [XmlAttribute(AttributeName = "gestureStrokeType", Namespace = "http://schemas.android.com/apk/res/android")]
        public GestureStrokeType GestureStrokeType { get; set; }

        [Category("GestureOverlayView")]
        [XmlAttribute(AttributeName = "gestureStrokeLengthThreshold", Namespace = "http://schemas.android.com/apk/res/android")]
        public double GestureStrokeLengthThreshold { get; set; }

        [Category("GestureOverlayView")]
        [XmlAttribute(AttributeName = "gestureStrokeSquarenessThreshold", Namespace = "http://schemas.android.com/apk/res/android")]
        public double GestureStrokeSquarenessThreshold { get; set; }

        [Category("GestureOverlayView")]
        [XmlAttribute(AttributeName = "gestureStrokeAngleThreshold", Namespace = "http://schemas.android.com/apk/res/android")]
        public double GestureStrokeAngleThreshold { get; set; }

        [Category("GestureOverlayView")]
        [XmlAttribute(AttributeName = "eventsInterceptionEnabled", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool EventsInterceptionEnabled { get; set; }

        [Category("GestureOverlayView")]
        [XmlAttribute(AttributeName = "fadeEnabled", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool FadeEnabled { get; set; }

        [Category("GestureOverlayView")]
        [XmlAttribute(AttributeName = "orientation", Namespace = "http://schemas.android.com/apk/res/android")]
        public Orientation Orientation { get; set; }
    }
}
