using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class IconMenuView : AndroidElement
    {
        [Category("IconMenuView")]
        [XmlAttribute(AttributeName = "rowHeight", Namespace = "http://schemas.android.com/apk/res/android")]
        public string RowHeight { get; set; }

        [Category("IconMenuView")]
        [XmlAttribute(AttributeName = "maxRows", Namespace = "http://schemas.android.com/apk/res/android")]
        public int MaxRows { get; set; }

        [Category("IconMenuView")]
        [XmlAttribute(AttributeName = "maxItemsPerRow", Namespace = "http://schemas.android.com/apk/res/android")]
        public int MaxItemsPerRow { get; set; }

        [Category("IconMenuView")]
        [XmlAttribute(AttributeName = "maxItems", Namespace = "http://schemas.android.com/apk/res/android")]
        public int MaxItems { get; set; }

        [Category("IconMenuView")]
        [XmlAttribute(AttributeName = "moreIcon", Namespace = "http://schemas.android.com/apk/res/android")]
        public string MoreIcon { get; set; }
    }
}
