using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class ImageView : AndroidElement
    {
        [Category("ImageView")]
        [XmlAttribute(AttributeName = "src", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Src { get; set; }

        [Category("ImageView")]
        [XmlAttribute(AttributeName = "scaleType", Namespace = "http://schemas.android.com/apk/res/android")]
        public ScaleType ScaleType { get; set; }

        [Category("ImageView")]
        [XmlAttribute(AttributeName = "adjustViewBounds", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool AdjustViewBounds { get; set; }

        [Category("ImageView")]
        [XmlAttribute(AttributeName = "maxWidth", Namespace = "http://schemas.android.com/apk/res/android")]
        public string MaxWidth { get; set; }

        [Category("ImageView")]
        [XmlAttribute(AttributeName = "maxHeight", Namespace = "http://schemas.android.com/apk/res/android")]
        public string MaxHeight { get; set; }

        [Category("ImageView")]
        [XmlAttribute(AttributeName = "tint", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Tint { get; set; }

        [Category("ImageView")]
        [XmlAttribute(AttributeName = "baselineAlignBottom", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool BaselineAlignBottom { get; set; }

        [Category("ImageView")]
        [XmlAttribute(AttributeName = "cropToPadding", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool CropToPadding { get; set; }
    }
}
