using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class InputMethodService : AndroidElement
    {
        [Category("InputMethodService")]
        [XmlAttribute(AttributeName = "imeFullscreenBackground", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ImeFullscreenBackground { get; set; }

        [Category("InputMethodService")]
        [XmlAttribute(AttributeName = "imeExtractEnterAnimation", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ImeExtractEnterAnimation { get; set; }

        [Category("InputMethodService")]
        [XmlAttribute(AttributeName = "imeExtractExitAnimation", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ImeExtractExitAnimation { get; set; }
    }
}
