using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class Keyboard : AndroidElement
    {
        [Category("Keyboard")]
        [XmlAttribute(AttributeName = "keyWidth", Namespace = "http://schemas.android.com/apk/res/android")]
        public string KeyWidth { get; set; }

        [Category("Keyboard")]
        [XmlAttribute(AttributeName = "keyHeight", Namespace = "http://schemas.android.com/apk/res/android")]
        public string KeyHeight { get; set; }

        [Category("Keyboard")]
        [XmlAttribute(AttributeName = "horizontalGap", Namespace = "http://schemas.android.com/apk/res/android")]
        public string HorizontalGap { get; set; }

        [Category("Keyboard")]
        [XmlAttribute(AttributeName = "verticalGap", Namespace = "http://schemas.android.com/apk/res/android")]
        public string VerticalGap { get; set; }
    }
}
