using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class LayerDrawableItem : AndroidElement
    {
        [Category("LayerDrawableItem")]
        [XmlAttribute(AttributeName = "left", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Left { get; set; }

        [Category("LayerDrawableItem")]
        [XmlAttribute(AttributeName = "top", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Top { get; set; }

        [Category("LayerDrawableItem")]
        [XmlAttribute(AttributeName = "right", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Right { get; set; }

        [Category("LayerDrawableItem")]
        [XmlAttribute(AttributeName = "bottom", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Bottom { get; set; }

        [Category("LayerDrawableItem")]
        [XmlAttribute(AttributeName = "drawable", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Drawable { get; set; }

        [Category("LayerDrawableItem")]
        [XmlAttribute(AttributeName = "id", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Id { get; set; }
    }
}
