using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class LinearLayout : ViewGroup
    {
        [Category("LinearLayout")]
        [XmlAttribute(AttributeName = "orientation", Namespace = "http://schemas.android.com/apk/res/android")]
        public Orientation Orientation { get; set; }

        [Category("LinearLayout")]
        [XmlAttribute(AttributeName = "gravity", Namespace = "http://schemas.android.com/apk/res/android")]
        public Gravity Gravity { get; set; }

        [Category("LinearLayout")]
        [XmlAttribute(AttributeName = "baselineAligned", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool BaselineAligned { get; set; }

        [Category("LinearLayout")]
        [XmlAttribute(AttributeName = "baselineAlignedChildIndex", Namespace = "http://schemas.android.com/apk/res/android")]
        public int BaselineAlignedChildIndex { get; set; }

        [Category("LinearLayout")]
        [XmlAttribute(AttributeName = "weightSum", Namespace = "http://schemas.android.com/apk/res/android")]
        public double WeightSum { get; set; }

        [Category("LinearLayout")]
        [XmlAttribute(AttributeName = "useLargestChild", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool UseLargestChild { get; set; }
    }
}
