using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class MenuGroup : AndroidElement
    {
        [Category("MenuGroup")]
        [XmlAttribute(AttributeName = "id", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Id { get; set; }

        [Category("MenuGroup")]
        [XmlAttribute(AttributeName = "menuCategory", Namespace = "http://schemas.android.com/apk/res/android")]
        public MenuCategory MenuCategory { get; set; }

        [Category("MenuGroup")]
        [XmlAttribute(AttributeName = "orderInCategory", Namespace = "http://schemas.android.com/apk/res/android")]
        public int OrderInCategory { get; set; }

        [Category("MenuGroup")]
        [XmlAttribute(AttributeName = "checkableBehavior", Namespace = "http://schemas.android.com/apk/res/android")]
        public CheckableBehavior CheckableBehavior { get; set; }

        [Category("MenuGroup")]
        [XmlAttribute(AttributeName = "visible", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool Visible { get; set; }

        [Category("MenuGroup")]
        [XmlAttribute(AttributeName = "enabled", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool Enabled { get; set; }
    }
}
