using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class MenuItemCheckedState : AndroidElement
    {
        [Category("MenuItemCheckedState")]
        [XmlAttribute(AttributeName = "state_checkable", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool StateCheckable { get; set; }

        [Category("MenuItemCheckedState")]
        [XmlAttribute(AttributeName = "state_checked", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool StateChecked { get; set; }
    }
}
