using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class RadioGroup : AndroidElement
    {
        [Category("RadioGroup")]
        [XmlAttribute(AttributeName = "checkedButton", Namespace = "http://schemas.android.com/apk/res/android")]
        public int CheckedButton { get; set; }

        [Category("RadioGroup")]
        [XmlAttribute(AttributeName = "orientation", Namespace = "http://schemas.android.com/apk/res/android")]
        public Orientation Orientation { get; set; }
    }
}
