using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class RatingBar : AndroidElement
    {
        [Category("RatingBar")]
        [XmlAttribute(AttributeName = "numStars", Namespace = "http://schemas.android.com/apk/res/android")]
        public int NumStars { get; set; }

        [Category("RatingBar")]
        [XmlAttribute(AttributeName = "rating", Namespace = "http://schemas.android.com/apk/res/android")]
        public double Rating { get; set; }

        [Category("RatingBar")]
        [XmlAttribute(AttributeName = "stepSize", Namespace = "http://schemas.android.com/apk/res/android")]
        public double StepSize { get; set; }

        [Category("RatingBar")]
        [XmlAttribute(AttributeName = "isIndicator", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool IsIndicator { get; set; }
    }
}
