using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class SearchableActionKey : AndroidElement
    {
        [Category("SearchableActionKey")]
        [XmlAttribute(AttributeName = "keycode", Namespace = "http://schemas.android.com/apk/res/android")]
        public Keycode Keycode { get; set; }

        [Category("SearchableActionKey")]
        [XmlAttribute(AttributeName = "queryActionMsg", Namespace = "http://schemas.android.com/apk/res/android")]
        public string QueryActionMsg { get; set; }

        [Category("SearchableActionKey")]
        [XmlAttribute(AttributeName = "suggestActionMsg", Namespace = "http://schemas.android.com/apk/res/android")]
        public string SuggestActionMsg { get; set; }

        [Category("SearchableActionKey")]
        [XmlAttribute(AttributeName = "suggestActionMsgColumn", Namespace = "http://schemas.android.com/apk/res/android")]
        public string SuggestActionMsgColumn { get; set; }
    }
}
