using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class SlidingDrawer : AndroidElement
    {
        [Category("SlidingDrawer")]
        [XmlAttribute(AttributeName = "handle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Handle { get; set; }

        [Category("SlidingDrawer")]
        [XmlAttribute(AttributeName = "content", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Content { get; set; }

        [Category("SlidingDrawer")]
        [XmlAttribute(AttributeName = "orientation", Namespace = "http://schemas.android.com/apk/res/android")]
        public Orientation Orientation { get; set; }

        [Category("SlidingDrawer")]
        [XmlAttribute(AttributeName = "bottomOffset", Namespace = "http://schemas.android.com/apk/res/android")]
        public string BottomOffset { get; set; }

        [Category("SlidingDrawer")]
        [XmlAttribute(AttributeName = "topOffset", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TopOffset { get; set; }

        [Category("SlidingDrawer")]
        [XmlAttribute(AttributeName = "allowSingleTap", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool AllowSingleTap { get; set; }

        [Category("SlidingDrawer")]
        [XmlAttribute(AttributeName = "animateOnClick", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool AnimateOnClick { get; set; }
    }
}
