using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class SyncAdapter : AndroidElement
    {
        [Category("SyncAdapter")]
        [XmlAttribute(AttributeName = "contentAuthority", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ContentAuthority { get; set; }

        [Category("SyncAdapter")]
        [XmlAttribute(AttributeName = "accountType", Namespace = "http://schemas.android.com/apk/res/android")]
        public string AccountType { get; set; }

        [Category("SyncAdapter")]
        [XmlAttribute(AttributeName = "userVisible", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool UserVisible { get; set; }

        [Category("SyncAdapter")]
        [XmlAttribute(AttributeName = "supportsUploading", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool SupportsUploading { get; set; }
    }
}
