using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class TextAppearance : AndroidElement
    {
        [Category("TextAppearance")]
        [XmlAttribute(AttributeName = "textColor", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextColor { get; set; }

        [Category("TextAppearance")]
        [XmlAttribute(AttributeName = "textSize", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextSize { get; set; }

        [Category("TextAppearance")]
        [XmlAttribute(AttributeName = "textStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public TextStyle TextStyle { get; set; }

        [Category("TextAppearance")]
        [XmlAttribute(AttributeName = "typeface", Namespace = "http://schemas.android.com/apk/res/android")]
        public Typeface Typeface { get; set; }

        [Category("TextAppearance")]
        [XmlAttribute(AttributeName = "textColorHighlight", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextColorHighlight { get; set; }

        [Category("TextAppearance")]
        [XmlAttribute(AttributeName = "textColorHint", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextColorHint { get; set; }

        [Category("TextAppearance")]
        [XmlAttribute(AttributeName = "textColorLink", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextColorLink { get; set; }
    }
}
