using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class ViewDrawableStates : AndroidElement
    {
        [Category("ViewDrawableStates")]
        [XmlAttribute(AttributeName = "state_pressed", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool StatePressed { get; set; }

        [Category("ViewDrawableStates")]
        [XmlAttribute(AttributeName = "state_focused", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool StateFocused { get; set; }

        [Category("ViewDrawableStates")]
        [XmlAttribute(AttributeName = "state_selected", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool StateSelected { get; set; }

        [Category("ViewDrawableStates")]
        [XmlAttribute(AttributeName = "state_window_focused", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool StateWindowFocused { get; set; }

        [Category("ViewDrawableStates")]
        [XmlAttribute(AttributeName = "state_enabled", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool StateEnabled { get; set; }
    }
}
