using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class ViewFlipper : AndroidElement
    {
        [Category("ViewFlipper")]
        [XmlAttribute(AttributeName = "flipInterval", Namespace = "http://schemas.android.com/apk/res/android")]
        public int FlipInterval { get; set; }

        [Category("ViewFlipper")]
        [XmlAttribute(AttributeName = "autoStart", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool AutoStart { get; set; }
    }
}
