using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class ViewGroup : View
    {
        [Category("ViewGroup")]
        [XmlAttribute(AttributeName = "clipChildren", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool ClipChildren { get; set; }

        [Category("ViewGroup")]
        [XmlAttribute(AttributeName = "clipToPadding", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool ClipToPadding { get; set; }

        [Category("ViewGroup")]
        [XmlAttribute(AttributeName = "layoutAnimation", Namespace = "http://schemas.android.com/apk/res/android")]
        public string LayoutAnimation { get; set; }

        [Category("ViewGroup")]
        [XmlAttribute(AttributeName = "animationCache", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool AnimationCache { get; set; }

        [Category("ViewGroup")]
        [XmlAttribute(AttributeName = "persistentDrawingCache", Namespace = "http://schemas.android.com/apk/res/android")]
        public PersistentDrawingCache PersistentDrawingCache { get; set; }

        [Category("ViewGroup")]
        [XmlAttribute(AttributeName = "alwaysDrawnWithCache", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool AlwaysDrawnWithCache { get; set; }

        [Category("ViewGroup")]
        [XmlAttribute(AttributeName = "addStatesFromChildren", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool AddStatesFromChildren { get; set; }

        [Category("ViewGroup")]
        [XmlAttribute(AttributeName = "descendantFocusability", Namespace = "http://schemas.android.com/apk/res/android")]
        public DescendantFocusability DescendantFocusability { get; set; }
    }
}
