using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class Wallpaper : AndroidElement
    {
        [Category("Wallpaper")]
        [XmlAttribute(AttributeName = "settingsActivity", Namespace = "http://schemas.android.com/apk/res/android")]
        public string SettingsActivity { get; set; }

        [Category("Wallpaper")]
        [XmlAttribute(AttributeName = "thumbnail", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Thumbnail { get; set; }

        [Category("Wallpaper")]
        [XmlAttribute(AttributeName = "author", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Author { get; set; }

        [Category("Wallpaper")]
        [XmlAttribute(AttributeName = "description", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Description { get; set; }
    }
}
