using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class WeightedLinearLayout : AndroidElement
    {
        [Category("WeightedLinearLayout")]
        [XmlAttribute(AttributeName = "majorWeight", Namespace = "http://schemas.android.com/apk/res/android")]
        public double MajorWeight { get; set; }

        [Category("WeightedLinearLayout")]
        [XmlAttribute(AttributeName = "minorWeight", Namespace = "http://schemas.android.com/apk/res/android")]
        public double MinorWeight { get; set; }
    }
}
