using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class Window : AndroidElement
    {
        [Category("Window")]
        [XmlAttribute(AttributeName = "windowBackground", Namespace = "http://schemas.android.com/apk/res/android")]
        public string WindowBackground { get; set; }

        [Category("Window")]
        [XmlAttribute(AttributeName = "windowContentOverlay", Namespace = "http://schemas.android.com/apk/res/android")]
        public string WindowContentOverlay { get; set; }

        [Category("Window")]
        [XmlAttribute(AttributeName = "windowFrame", Namespace = "http://schemas.android.com/apk/res/android")]
        public string WindowFrame { get; set; }

        [Category("Window")]
        [XmlAttribute(AttributeName = "windowNoTitle", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool WindowNoTitle { get; set; }

        [Category("Window")]
        [XmlAttribute(AttributeName = "windowFullscreen", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool WindowFullscreen { get; set; }

        [Category("Window")]
        [XmlAttribute(AttributeName = "windowIsFloating", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool WindowIsFloating { get; set; }

        [Category("Window")]
        [XmlAttribute(AttributeName = "windowIsTranslucent", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool WindowIsTranslucent { get; set; }

        [Category("Window")]
        [XmlAttribute(AttributeName = "windowShowWallpaper", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool WindowShowWallpaper { get; set; }

        [Category("Window")]
        [XmlAttribute(AttributeName = "windowAnimationStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string WindowAnimationStyle { get; set; }

        [Category("Window")]
        [XmlAttribute(AttributeName = "windowSoftInputMode", Namespace = "http://schemas.android.com/apk/res/android")]
        public WindowSoftInputMode WindowSoftInputMode { get; set; }

        [Category("Window")]
        [XmlAttribute(AttributeName = "windowDisablePreview", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool WindowDisablePreview { get; set; }

        [Category("Window")]
        [XmlAttribute(AttributeName = "windowNoDisplay", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool WindowNoDisplay { get; set; }

        [Category("Window")]
        [XmlAttribute(AttributeName = "textColor", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextColor { get; set; }

        [Category("Window")]
        [XmlAttribute(AttributeName = "backgroundDimEnabled", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool BackgroundDimEnabled { get; set; }

        [Category("Window")]
        [XmlAttribute(AttributeName = "backgroundDimAmount", Namespace = "http://schemas.android.com/apk/res/android")]
        public double BackgroundDimAmount { get; set; }
    }
}
