﻿using System.Windows.Input;
using Jerry.DroidBuilder.Common;

namespace Jerry.DroidBuilder
{
    public class ViewModelBase : NotifyPropertyChangedObject
    {
        public ViewModelBase(bool supportBuild, bool supportDeodex, bool supportTranslate)
        {
            SupportBuild = supportBuild;
            SupportDeodex = supportDeodex;
            SupportTranslate = supportTranslate;
        }

        public ICommand CloseCommand { get; set; }

        public string Name { get; set; }

        public bool SupportBuild { get; private set; }

        public bool SupportDeodex { get; private set; }

        public bool SupportTranslate { get; private set; }
    }
}
