﻿using System.Windows;
using System.Windows.Controls;

namespace Jerry.DroidBuilder.ThemeEditor.Controls
{
    public class LayoutEditor : Control
    {
        static LayoutEditor()
        {
            DefaultStyleKeyProperty.OverrideMetadata(typeof(LayoutEditor), new FrameworkPropertyMetadata(typeof(LayoutEditor)));
        }

        public LayoutInfo LayoutInfo
        {
            get { return (LayoutInfo)GetValue(LayoutInfoProperty); }
            set { SetValue(LayoutInfoProperty, value); }
        }

        public static readonly DependencyProperty LayoutInfoProperty =
            DependencyProperty.Register("LayoutInfo", typeof(LayoutInfo), typeof(LayoutEditor), new PropertyMetadata());
    }
}
