using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class AndroidElement
    {
        [Category("Theme")]
        [XmlAttribute(AttributeName = "colorForeground", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ColorForeground { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "colorForegroundInverse", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ColorForegroundInverse { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "colorBackground", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ColorBackground { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "colorBackgroundCacheHint", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ColorBackgroundCacheHint { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "disabledAlpha", Namespace = "http://schemas.android.com/apk/res/android")]
        public double DisabledAlpha { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "backgroundDimAmount", Namespace = "http://schemas.android.com/apk/res/android")]
        public double BackgroundDimAmount { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "backgroundDimEnabled", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool BackgroundDimEnabled { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "textAppearance", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextAppearance { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "textAppearanceInverse", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextAppearanceInverse { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "textColorPrimary", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextColorPrimary { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "textColorSecondary", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextColorSecondary { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "textColorTertiary", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextColorTertiary { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "textColorPrimaryInverse", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextColorPrimaryInverse { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "textColorSecondaryInverse", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextColorSecondaryInverse { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "textColorTertiaryInverse", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextColorTertiaryInverse { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "textColorHintInverse", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextColorHintInverse { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "textColorPrimaryDisableOnly", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextColorPrimaryDisableOnly { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "textColorPrimaryInverseDisableOnly", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextColorPrimaryInverseDisableOnly { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "textColorPrimaryNoDisable", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextColorPrimaryNoDisable { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "textColorSecondaryNoDisable", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextColorSecondaryNoDisable { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "textColorPrimaryInverseNoDisable", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextColorPrimaryInverseNoDisable { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "textColorSecondaryInverseNoDisable", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextColorSecondaryInverseNoDisable { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "textColorSearchUrl", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextColorSearchUrl { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "searchWidgetCorpusItemBackground", Namespace = "http://schemas.android.com/apk/res/android")]
        public string SearchWidgetCorpusItemBackground { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "textAppearanceLarge", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextAppearanceLarge { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "textAppearanceMedium", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextAppearanceMedium { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "textAppearanceSmall", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextAppearanceSmall { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "textAppearanceLargeInverse", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextAppearanceLargeInverse { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "textAppearanceMediumInverse", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextAppearanceMediumInverse { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "textAppearanceSmallInverse", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextAppearanceSmallInverse { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "textAppearanceSearchResultTitle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextAppearanceSearchResultTitle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "textAppearanceSearchResultSubtitle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextAppearanceSearchResultSubtitle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "textAppearanceButton", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextAppearanceButton { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "candidatesTextStyleSpans", Namespace = "http://schemas.android.com/apk/res/android")]
        public string CandidatesTextStyleSpans { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "textCheckMark", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextCheckMark { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "textCheckMarkInverse", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextCheckMarkInverse { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "listChoiceIndicatorMultiple", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ListChoiceIndicatorMultiple { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "listChoiceIndicatorSingle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ListChoiceIndicatorSingle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "buttonStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ButtonStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "buttonStyleSmall", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ButtonStyleSmall { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "buttonStyleInset", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ButtonStyleInset { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "buttonStyleToggle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ButtonStyleToggle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "galleryItemBackground", Namespace = "http://schemas.android.com/apk/res/android")]
        public string GalleryItemBackground { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "listPreferredItemHeight", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ListPreferredItemHeight { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "searchResultListItemHeight", Namespace = "http://schemas.android.com/apk/res/android")]
        public string SearchResultListItemHeight { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "listDivider", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ListDivider { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "listSeparatorTextViewStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ListSeparatorTextViewStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "expandableListPreferredItemPaddingLeft", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ExpandableListPreferredItemPaddingLeft { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "expandableListPreferredChildPaddingLeft", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ExpandableListPreferredChildPaddingLeft { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "expandableListPreferredItemIndicatorLeft", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ExpandableListPreferredItemIndicatorLeft { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "expandableListPreferredItemIndicatorRight", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ExpandableListPreferredItemIndicatorRight { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "expandableListPreferredChildIndicatorLeft", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ExpandableListPreferredChildIndicatorLeft { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "expandableListPreferredChildIndicatorRight", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ExpandableListPreferredChildIndicatorRight { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "windowBackground", Namespace = "http://schemas.android.com/apk/res/android")]
        public string WindowBackground { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "windowFrame", Namespace = "http://schemas.android.com/apk/res/android")]
        public string WindowFrame { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "windowNoTitle", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool WindowNoTitle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "windowFullscreen", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool WindowFullscreen { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "windowIsFloating", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool WindowIsFloating { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "windowIsTranslucent", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool WindowIsTranslucent { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "windowShowWallpaper", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool WindowShowWallpaper { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "windowContentOverlay", Namespace = "http://schemas.android.com/apk/res/android")]
        public string WindowContentOverlay { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "windowTitleSize", Namespace = "http://schemas.android.com/apk/res/android")]
        public string WindowTitleSize { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "windowTitleStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string WindowTitleStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "windowTitleBackgroundStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string WindowTitleBackgroundStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "windowAnimationStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string WindowAnimationStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "windowSoftInputMode", Namespace = "http://schemas.android.com/apk/res/android")]
        public WindowSoftInputMode WindowSoftInputMode { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "windowDisablePreview", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool WindowDisablePreview { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "windowNoDisplay", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool WindowNoDisplay { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "alertDialogStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string AlertDialogStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "panelBackground", Namespace = "http://schemas.android.com/apk/res/android")]
        public string PanelBackground { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "panelFullBackground", Namespace = "http://schemas.android.com/apk/res/android")]
        public string PanelFullBackground { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "panelColorForeground", Namespace = "http://schemas.android.com/apk/res/android")]
        public string PanelColorForeground { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "panelColorBackground", Namespace = "http://schemas.android.com/apk/res/android")]
        public string PanelColorBackground { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "panelTextAppearance", Namespace = "http://schemas.android.com/apk/res/android")]
        public string PanelTextAppearance { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "absListViewStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string AbsListViewStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "autoCompleteTextViewStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string AutoCompleteTextViewStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "checkboxStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string CheckboxStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "dropDownListViewStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string DropDownListViewStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "editTextStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string EditTextStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "expandableListViewStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ExpandableListViewStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "expandableListViewWhiteStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ExpandableListViewWhiteStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "galleryStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string GalleryStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "gestureOverlayViewStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string GestureOverlayViewStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "gridViewStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string GridViewStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "imageButtonStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ImageButtonStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "imageWellStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ImageWellStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "listViewStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ListViewStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "listViewWhiteStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ListViewWhiteStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "popupWindowStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string PopupWindowStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "progressBarStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ProgressBarStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "progressBarStyleHorizontal", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ProgressBarStyleHorizontal { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "progressBarStyleSmall", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ProgressBarStyleSmall { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "progressBarStyleSmallTitle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ProgressBarStyleSmallTitle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "progressBarStyleLarge", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ProgressBarStyleLarge { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "progressBarStyleInverse", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ProgressBarStyleInverse { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "progressBarStyleSmallInverse", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ProgressBarStyleSmallInverse { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "progressBarStyleLargeInverse", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ProgressBarStyleLargeInverse { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "seekBarStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string SeekBarStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "ratingBarStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string RatingBarStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "ratingBarStyleIndicator", Namespace = "http://schemas.android.com/apk/res/android")]
        public string RatingBarStyleIndicator { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "ratingBarStyleSmall", Namespace = "http://schemas.android.com/apk/res/android")]
        public string RatingBarStyleSmall { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "radioButtonStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string RadioButtonStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "scrollViewStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ScrollViewStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "horizontalScrollViewStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string HorizontalScrollViewStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "spinnerStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string SpinnerStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "starStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string StarStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "tabWidgetStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TabWidgetStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "textViewStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextViewStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "webTextViewStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string WebTextViewStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "webViewStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string WebViewStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "dropDownItemStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string DropDownItemStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "spinnerDropDownItemStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string SpinnerDropDownItemStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "dropDownHintAppearance", Namespace = "http://schemas.android.com/apk/res/android")]
        public string DropDownHintAppearance { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "spinnerItemStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string SpinnerItemStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "mapViewStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string MapViewStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "quickContactBadgeStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string QuickContactBadgeStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "quickContactBadgeStyleWindowSmall", Namespace = "http://schemas.android.com/apk/res/android")]
        public string QuickContactBadgeStyleWindowSmall { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "quickContactBadgeStyleWindowMedium", Namespace = "http://schemas.android.com/apk/res/android")]
        public string QuickContactBadgeStyleWindowMedium { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "quickContactBadgeStyleWindowLarge", Namespace = "http://schemas.android.com/apk/res/android")]
        public string QuickContactBadgeStyleWindowLarge { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "quickContactBadgeStyleSmallWindowSmall", Namespace = "http://schemas.android.com/apk/res/android")]
        public string QuickContactBadgeStyleSmallWindowSmall { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "quickContactBadgeStyleSmallWindowMedium", Namespace = "http://schemas.android.com/apk/res/android")]
        public string QuickContactBadgeStyleSmallWindowMedium { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "quickContactBadgeStyleSmallWindowLarge", Namespace = "http://schemas.android.com/apk/res/android")]
        public string QuickContactBadgeStyleSmallWindowLarge { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "preferenceScreenStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string PreferenceScreenStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "preferenceCategoryStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string PreferenceCategoryStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "preferenceStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string PreferenceStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "preferenceInformationStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string PreferenceInformationStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "checkBoxPreferenceStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string CheckBoxPreferenceStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "yesNoPreferenceStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string YesNoPreferenceStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "dialogPreferenceStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string DialogPreferenceStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "editTextPreferenceStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string EditTextPreferenceStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "ringtonePreferenceStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string RingtonePreferenceStyle { get; set; }

        [Category("Theme")]
        [XmlAttribute(AttributeName = "preferenceLayoutChild", Namespace = "http://schemas.android.com/apk/res/android")]
        public string PreferenceLayoutChild { get; set; }

        [Category("Common")]
        [XmlAttribute(AttributeName = "textSize", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextSize { get; set; }

        [Category("Common")]
        [XmlAttribute(AttributeName = "typeface", Namespace = "http://schemas.android.com/apk/res/android")]
        public Typeface Typeface { get; set; }

        [Category("Common")]
        [XmlAttribute(AttributeName = "textStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public TextStyle TextStyle { get; set; }

        [Category("Common")]
        [XmlAttribute(AttributeName = "textColor", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextColor { get; set; }

        [Category("Common")]
        [XmlAttribute(AttributeName = "textColorHighlight", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextColorHighlight { get; set; }

        [Category("Common")]
        [XmlAttribute(AttributeName = "textColorHint", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextColorHint { get; set; }

        [Category("Common")]
        [XmlAttribute(AttributeName = "textColorLink", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextColorLink { get; set; }

        [Category("Common")]
        [XmlAttribute(AttributeName = "ellipsize", Namespace = "http://schemas.android.com/apk/res/android")]
        public Ellipsize Ellipsize { get; set; }

        [Category("Common")]
        [XmlAttribute(AttributeName = "inputType", Namespace = "http://schemas.android.com/apk/res/android")]
        public InputType InputType { get; set; }

        [Category("Common")]
        [XmlAttribute(AttributeName = "imeOptions", Namespace = "http://schemas.android.com/apk/res/android")]
        public ImeOptions ImeOptions { get; set; }

        [Category("Common")]
        [XmlAttribute(AttributeName = "x", Namespace = "http://schemas.android.com/apk/res/android")]
        public string X { get; set; }

        [Category("Common")]
        [XmlAttribute(AttributeName = "y", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Y { get; set; }

        [Category("Common")]
        [XmlAttribute(AttributeName = "gravity", Namespace = "http://schemas.android.com/apk/res/android")]
        public Gravity Gravity { get; set; }

        [Category("Common")]
        [XmlAttribute(AttributeName = "autoLink", Namespace = "http://schemas.android.com/apk/res/android")]
        public AutoLink AutoLink { get; set; }

        [Category("Common")]
        [XmlAttribute(AttributeName = "entries", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Entries { get; set; }

        [Category("Common")]
        [XmlAttribute(AttributeName = "layout_gravity", Namespace = "http://schemas.android.com/apk/res/android")]
        public LayoutGravity LayoutGravity { get; set; }

        [Category("Common")]
        [XmlAttribute(AttributeName = "orientation", Namespace = "http://schemas.android.com/apk/res/android")]
        public Orientation Orientation { get; set; }

        [Category("Common")]
        [XmlAttribute(AttributeName = "keycode", Namespace = "http://schemas.android.com/apk/res/android")]
        public Keycode Keycode { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "layout_width", Namespace = "http://schemas.android.com/apk/res/android")]
        public string LayoutWidth { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "layout_height", Namespace = "http://schemas.android.com/apk/res/android")]
        public string LayoutHeight { get; set; }

        //[Category("Layout")]
        //[XmlAttribute(AttributeName = "layout_width", Namespace = "http://schemas.android.com/apk/res/android")]
        //public string LayoutWidth { get; set; }

        //[Category("Layout")]
        //[XmlAttribute(AttributeName = "layout_height", Namespace = "http://schemas.android.com/apk/res/android")]
        //public string LayoutHeight { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "layout_margin", Namespace = "http://schemas.android.com/apk/res/android")]
        public string LayoutMargin { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "layout_marginLeft", Namespace = "http://schemas.android.com/apk/res/android")]
        public string LayoutMarginLeft { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "layout_marginTop", Namespace = "http://schemas.android.com/apk/res/android")]
        public string LayoutMarginTop { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "layout_marginRight", Namespace = "http://schemas.android.com/apk/res/android")]
        public string LayoutMarginRight { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "layout_marginBottom", Namespace = "http://schemas.android.com/apk/res/android")]
        public string LayoutMarginBottom { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "layout_column", Namespace = "http://schemas.android.com/apk/res/android")]
        public int LayoutColumn { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "layout_span", Namespace = "http://schemas.android.com/apk/res/android")]
        public int LayoutSpan { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "layout_x", Namespace = "http://schemas.android.com/apk/res/android")]
        public string LayoutX { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "layout_y", Namespace = "http://schemas.android.com/apk/res/android")]
        public string LayoutY { get; set; }

        //[Category("Layout")]
        //[XmlAttribute(AttributeName = "layout_width", Namespace = "http://schemas.android.com/apk/res/android")]
        //public string LayoutWidth { get; set; }

        //[Category("Layout")]
        //[XmlAttribute(AttributeName = "layout_height", Namespace = "http://schemas.android.com/apk/res/android")]
        //public string LayoutHeight { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "layout_weight", Namespace = "http://schemas.android.com/apk/res/android")]
        public double LayoutWeight { get; set; }

        //[Category("Layout")]
        //[XmlAttribute(AttributeName = "layout_gravity", Namespace = "http://schemas.android.com/apk/res/android")]
        //public LayoutGravity LayoutGravity { get; set; }

        //[Category("Layout")]
        //[XmlAttribute(AttributeName = "layout_gravity", Namespace = "http://schemas.android.com/apk/res/android")]
        //public LayoutGravity LayoutGravity { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "layout_toLeftOf", Namespace = "http://schemas.android.com/apk/res/android")]
        public string LayoutToLeftOf { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "layout_toRightOf", Namespace = "http://schemas.android.com/apk/res/android")]
        public string LayoutToRightOf { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "layout_above", Namespace = "http://schemas.android.com/apk/res/android")]
        public string LayoutAbove { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "layout_below", Namespace = "http://schemas.android.com/apk/res/android")]
        public string LayoutBelow { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "layout_alignBaseline", Namespace = "http://schemas.android.com/apk/res/android")]
        public string LayoutAlignBaseline { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "layout_alignLeft", Namespace = "http://schemas.android.com/apk/res/android")]
        public string LayoutAlignLeft { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "layout_alignTop", Namespace = "http://schemas.android.com/apk/res/android")]
        public string LayoutAlignTop { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "layout_alignRight", Namespace = "http://schemas.android.com/apk/res/android")]
        public string LayoutAlignRight { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "layout_alignBottom", Namespace = "http://schemas.android.com/apk/res/android")]
        public string LayoutAlignBottom { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "layout_alignParentLeft", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool LayoutAlignParentLeft { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "layout_alignParentTop", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool LayoutAlignParentTop { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "layout_alignParentRight", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool LayoutAlignParentRight { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "layout_alignParentBottom", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool LayoutAlignParentBottom { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "layout_centerInParent", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool LayoutCenterInParent { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "layout_centerHorizontal", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool LayoutCenterHorizontal { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "layout_centerVertical", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool LayoutCenterVertical { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "layout_alignWithParentIfMissing", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool LayoutAlignWithParentIfMissing { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "layout_scale", Namespace = "http://schemas.android.com/apk/res/android")]
        public double LayoutScale { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "rowEdgeFlags", Namespace = "http://schemas.android.com/apk/res/android")]
        public RowEdgeFlags RowEdgeFlags { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "keyboardMode", Namespace = "http://schemas.android.com/apk/res/android")]
        public string KeyboardMode { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "codes", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Codes { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "popupKeyboard", Namespace = "http://schemas.android.com/apk/res/android")]
        public string PopupKeyboard { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "popupCharacters", Namespace = "http://schemas.android.com/apk/res/android")]
        public string PopupCharacters { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "keyEdgeFlags", Namespace = "http://schemas.android.com/apk/res/android")]
        public KeyEdgeFlags KeyEdgeFlags { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "isModifier", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool IsModifier { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "isSticky", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool IsSticky { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "isRepeatable", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool IsRepeatable { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "iconPreview", Namespace = "http://schemas.android.com/apk/res/android")]
        public string IconPreview { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "keyOutputText", Namespace = "http://schemas.android.com/apk/res/android")]
        public string KeyOutputText { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "keyLabel", Namespace = "http://schemas.android.com/apk/res/android")]
        public string KeyLabel { get; set; }

        [Category("Layout")]
        [XmlAttribute(AttributeName = "keyIcon", Namespace = "http://schemas.android.com/apk/res/android")]
        public string KeyIcon { get; set; }

        //[Category("Layout")]
        //[XmlAttribute(AttributeName = "keyboardMode", Namespace = "http://schemas.android.com/apk/res/android")]
        //public string KeyboardMode { get; set; }

        [XmlElement("Button", typeof(Button))]
        [XmlElement("CheckBox", typeof(CheckBox))]
        [XmlElement("RadioButton", typeof(RadioButton))]
        [XmlElement("Window", typeof(Window))]
        [XmlElement("AlertDialog", typeof(AlertDialog))]
        [XmlElement("WindowAnimation", typeof(WindowAnimation))]
        [XmlElement("View", typeof(View))]
        [XmlElement("ViewGroup", typeof(ViewGroup))]
        [XmlElement("ViewStub", typeof(ViewStub))]
        [XmlElement("InputMethod", typeof(InputMethod))]
        [XmlElement("AbsListView", typeof(AbsListView))]
        [XmlElement("AbsSpinner", typeof(AbsSpinner))]
        [XmlElement("AnalogClock", typeof(AnalogClock))]
        [XmlElement("Chronometer", typeof(Chronometer))]
        [XmlElement("CompoundButton", typeof(CompoundButton))]
        [XmlElement("CheckedTextView", typeof(CheckedTextView))]
        [XmlElement("FrameLayout", typeof(FrameLayout))]
        [XmlElement("ExpandableListView", typeof(ExpandableListView))]
        [XmlElement("Gallery", typeof(Gallery))]
        [XmlElement("GridView", typeof(GridView))]
        [XmlElement("ImageView", typeof(ImageView))]
        [XmlElement("ToggleButton", typeof(ToggleButton))]
        [XmlElement("RelativeLayout", typeof(RelativeLayout))]
        [XmlElement("LinearLayout", typeof(LinearLayout))]
        [XmlElement("ListView", typeof(ListView))]
        [XmlElement("MenuView", typeof(MenuView))]
        [XmlElement("IconMenuView", typeof(IconMenuView))]
        [XmlElement("ProgressBar", typeof(ProgressBar))]
        [XmlElement("SeekBar", typeof(SeekBar))]
        [XmlElement("RatingBar", typeof(RatingBar))]
        [XmlElement("RadioGroup", typeof(RadioGroup))]
        [XmlElement("TableLayout", typeof(TableLayout))]
        [XmlElement("TabWidget", typeof(TabWidget))]
        [XmlElement("TextAppearance", typeof(TextAppearance))]
        [XmlElement("TextView", typeof(TextView))]
        [XmlElement("AutoCompleteTextView", typeof(AutoCompleteTextView))]
        [XmlElement("PopupWindow", typeof(PopupWindow))]
        [XmlElement("ViewAnimator", typeof(ViewAnimator))]
        [XmlElement("ViewFlipper", typeof(ViewFlipper))]
        [XmlElement("ScrollView", typeof(ScrollView))]
        [XmlElement("HorizontalScrollView", typeof(HorizontalScrollView))]
        [XmlElement("Spinner", typeof(Spinner))]
        [XmlElement("DatePicker", typeof(DatePicker))]
        [XmlElement("TwoLineListItem", typeof(TwoLineListItem))]
        [XmlElement("SlidingDrawer", typeof(SlidingDrawer))]
        [XmlElement("GestureOverlayView", typeof(GestureOverlayView))]
        [XmlElement("QuickContactBadge", typeof(QuickContactBadge))]
        [XmlElement("RotarySelector", typeof(RotarySelector))]
        [XmlElement("WeightedLinearLayout", typeof(WeightedLinearLayout))]
        [XmlElement("Drawable", typeof(Drawable))]
        [XmlElement("StateListDrawable", typeof(StateListDrawable))]
        [XmlElement("AnimationDrawable", typeof(AnimationDrawable))]
        [XmlElement("AnimationDrawableItem", typeof(AnimationDrawableItem))]
        [XmlElement("GradientDrawable", typeof(GradientDrawable))]
        [XmlElement("GradientDrawableSize", typeof(GradientDrawableSize))]
        [XmlElement("GradientDrawableGradient", typeof(GradientDrawableGradient))]
        [XmlElement("GradientDrawableSolid", typeof(GradientDrawableSolid))]
        [XmlElement("GradientDrawableStroke", typeof(GradientDrawableStroke))]
        [XmlElement("DrawableCorners", typeof(DrawableCorners))]
        [XmlElement("GradientDrawablePadding", typeof(GradientDrawablePadding))]
        [XmlElement("LayerDrawableItem", typeof(LayerDrawableItem))]
        [XmlElement("LevelListDrawableItem", typeof(LevelListDrawableItem))]
        [XmlElement("RotateDrawable", typeof(RotateDrawable))]
        [XmlElement("AnimatedRotateDrawable", typeof(AnimatedRotateDrawable))]
        [XmlElement("InsetDrawable", typeof(InsetDrawable))]
        [XmlElement("BitmapDrawable", typeof(BitmapDrawable))]
        [XmlElement("NinePatchDrawable", typeof(NinePatchDrawable))]
        [XmlElement("ColorDrawable", typeof(ColorDrawable))]
        [XmlElement("ScaleDrawable", typeof(ScaleDrawable))]
        [XmlElement("ClipDrawable", typeof(ClipDrawable))]
        [XmlElement("ShapeDrawablePadding", typeof(ShapeDrawablePadding))]
        [XmlElement("ShapeDrawable", typeof(ShapeDrawable))]
        [XmlElement("AnimationSet", typeof(AnimationSet))]
        [XmlElement("Animation", typeof(Animation))]
        [XmlElement("RotateAnimation", typeof(RotateAnimation))]
        [XmlElement("ScaleAnimation", typeof(ScaleAnimation))]
        [XmlElement("TranslateAnimation", typeof(TranslateAnimation))]
        [XmlElement("AlphaAnimation", typeof(AlphaAnimation))]
        [XmlElement("LayoutAnimation", typeof(LayoutAnimation))]
        [XmlElement("GridLayoutAnimation", typeof(GridLayoutAnimation))]
        [XmlElement("AccelerateInterpolator", typeof(AccelerateInterpolator))]
        [XmlElement("DecelerateInterpolator", typeof(DecelerateInterpolator))]
        [XmlElement("CycleInterpolator", typeof(CycleInterpolator))]
        [XmlElement("AnticipateInterpolator", typeof(AnticipateInterpolator))]
        [XmlElement("OvershootInterpolator", typeof(OvershootInterpolator))]
        [XmlElement("AnticipateOvershootInterpolator", typeof(AnticipateOvershootInterpolator))]
        [XmlElement("DrawableStates", typeof(DrawableStates))]
        [XmlElement("ViewDrawableStates", typeof(ViewDrawableStates))]
        [XmlElement("MenuItemCheckedState", typeof(MenuItemCheckedState))]
        [XmlElement("MenuItemUncheckedState", typeof(MenuItemUncheckedState))]
        [XmlElement("MenuItemCheckedFocusedState", typeof(MenuItemCheckedFocusedState))]
        [XmlElement("MenuItemUncheckedFocusedState", typeof(MenuItemUncheckedFocusedState))]
        [XmlElement("ExpandableListChildIndicatorState", typeof(ExpandableListChildIndicatorState))]
        [XmlElement("ExpandableListGroupIndicatorState", typeof(ExpandableListGroupIndicatorState))]
        [XmlElement("PopupWindowBackgroundState", typeof(PopupWindowBackgroundState))]
        [XmlElement("Searchable", typeof(Searchable))]
        [XmlElement("SearchableActionKey", typeof(SearchableActionKey))]
        [XmlElement("MapView", typeof(MapView))]
        [XmlElement("MenuGroup", typeof(MenuGroup))]
        [XmlElement("MenuItem", typeof(MenuItem))]
        [XmlElement("PreferenceGroup", typeof(PreferenceGroup))]
        [XmlElement("Preference", typeof(Preference))]
        [XmlElement("CheckBoxPreference", typeof(CheckBoxPreference))]
        [XmlElement("DialogPreference", typeof(DialogPreference))]
        [XmlElement("ListPreference", typeof(ListPreference))]
        [XmlElement("RingtonePreference", typeof(RingtonePreference))]
        [XmlElement("VolumePreference", typeof(VolumePreference))]
        [XmlElement("InputMethodService", typeof(InputMethodService))]
        [XmlElement("KeyboardView", typeof(KeyboardView))]
        [XmlElement("KeyboardViewPreviewState", typeof(KeyboardViewPreviewState))]
        [XmlElement("Keyboard", typeof(Keyboard))]
        [XmlElement("AppWidgetProviderInfo", typeof(AppWidgetProviderInfo))]
        [XmlElement("DeviceAdmin", typeof(DeviceAdmin))]
        [XmlElement("Wallpaper", typeof(Wallpaper))]
        [XmlElement("AccountAuthenticator", typeof(AccountAuthenticator))]
        [XmlElement("SyncAdapter", typeof(SyncAdapter))]
        [XmlElement("Icon", typeof(Icon))]
        [XmlElement("IconDefault", typeof(IconDefault))]
        [XmlElement("ContactsDataKind", typeof(ContactsDataKind))]
        [XmlElement("SlidingTab", typeof(SlidingTab))]
        [XmlElement("LockPatternView", typeof(LockPatternView))]
        [XmlElement("RecognitionService", typeof(RecognitionService))]
        public AndroidElement[] Children { get; set; }
    }
}
