using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class AppWidgetProviderInfo : AndroidElement
    {
        [Category("AppWidgetProviderInfo")]
        [XmlAttribute(AttributeName = "minWidth", Namespace = "http://schemas.android.com/apk/res/android")]
        public double MinWidth { get; set; }

        [Category("AppWidgetProviderInfo")]
        [XmlAttribute(AttributeName = "minHeight", Namespace = "http://schemas.android.com/apk/res/android")]
        public double MinHeight { get; set; }

        [Category("AppWidgetProviderInfo")]
        [XmlAttribute(AttributeName = "updatePeriodMillis", Namespace = "http://schemas.android.com/apk/res/android")]
        public int UpdatePeriodMillis { get; set; }

        [Category("AppWidgetProviderInfo")]
        [XmlAttribute(AttributeName = "initialLayout", Namespace = "http://schemas.android.com/apk/res/android")]
        public string InitialLayout { get; set; }

        [Category("AppWidgetProviderInfo")]
        [XmlAttribute(AttributeName = "configure", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Configure { get; set; }
    }
}
