using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class AutoCompleteTextView : EditText
    {
        [Category("AutoCompleteTextView")]
        [XmlAttribute(AttributeName = "completionHint", Namespace = "http://schemas.android.com/apk/res/android")]
        public string CompletionHint { get; set; }

        [Category("AutoCompleteTextView")]
        [XmlAttribute(AttributeName = "completionHintView", Namespace = "http://schemas.android.com/apk/res/android")]
        public string CompletionHintView { get; set; }

        [Category("AutoCompleteTextView")]
        [XmlAttribute(AttributeName = "completionThreshold", Namespace = "http://schemas.android.com/apk/res/android")]
        public int CompletionThreshold { get; set; }

        [Category("AutoCompleteTextView")]
        [XmlAttribute(AttributeName = "dropDownSelector", Namespace = "http://schemas.android.com/apk/res/android")]
        public string DropDownSelector { get; set; }

        [Category("AutoCompleteTextView")]
        [XmlAttribute(AttributeName = "dropDownVerticalOffset", Namespace = "http://schemas.android.com/apk/res/android")]
        public string DropDownVerticalOffset { get; set; }

        [Category("AutoCompleteTextView")]
        [XmlAttribute(AttributeName = "dropDownHorizontalOffset", Namespace = "http://schemas.android.com/apk/res/android")]
        public string DropDownHorizontalOffset { get; set; }

        [Category("AutoCompleteTextView")]
        [XmlAttribute(AttributeName = "dropDownAnchor", Namespace = "http://schemas.android.com/apk/res/android")]
        public string DropDownAnchor { get; set; }

        [Category("AutoCompleteTextView")]
        [XmlAttribute(AttributeName = "dropDownWidth", Namespace = "http://schemas.android.com/apk/res/android")]
        public string DropDownWidth { get; set; }

        [Category("AutoCompleteTextView")]
        [XmlAttribute(AttributeName = "dropDownHeight", Namespace = "http://schemas.android.com/apk/res/android")]
        public string DropDownHeight { get; set; }

        [Category("AutoCompleteTextView")]
        [XmlAttribute(AttributeName = "inputType", Namespace = "http://schemas.android.com/apk/res/android")]
        public InputType InputType { get; set; }
    }
}
