using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class CheckedTextView : TextView
    {
        [Category("CheckedTextView")]
        [XmlAttribute(AttributeName = "checked", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool @checked { get; set; }

        [Category("CheckedTextView")]
        [XmlAttribute(AttributeName = "checkMark", Namespace = "http://schemas.android.com/apk/res/android")]
        public string CheckMark { get; set; }
    }
}
