using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class AccountAuthenticator : AndroidElement
    {
        [Category("AccountAuthenticator")]
        [XmlAttribute(AttributeName = "accountType", Namespace = "http://schemas.android.com/apk/res/android")]
        public string AccountType { get; set; }

        [Category("AccountAuthenticator")]
        [XmlAttribute(AttributeName = "label", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Label { get; set; }

        [Category("AccountAuthenticator")]
        [XmlAttribute(AttributeName = "icon", Namespace = "http://schemas.android.com/apk/res/android")]
        public Icon Icon { get; set; }

        [Category("AccountAuthenticator")]
        [XmlAttribute(AttributeName = "smallIcon", Namespace = "http://schemas.android.com/apk/res/android")]
        public string SmallIcon { get; set; }

        [Category("AccountAuthenticator")]
        [XmlAttribute(AttributeName = "accountPreferences", Namespace = "http://schemas.android.com/apk/res/android")]
        public string AccountPreferences { get; set; }
    }
}
