using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class Animation : AndroidElement
    {
        [Category("Animation")]
        [XmlAttribute(AttributeName = "interpolator", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Interpolator { get; set; }

        [Category("Animation")]
        [XmlAttribute(AttributeName = "fillEnabled", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool FillEnabled { get; set; }

        [Category("Animation")]
        [XmlAttribute(AttributeName = "fillBefore", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool FillBefore { get; set; }

        [Category("Animation")]
        [XmlAttribute(AttributeName = "fillAfter", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool FillAfter { get; set; }

        [Category("Animation")]
        [XmlAttribute(AttributeName = "duration", Namespace = "http://schemas.android.com/apk/res/android")]
        public int Duration { get; set; }

        [Category("Animation")]
        [XmlAttribute(AttributeName = "startOffset", Namespace = "http://schemas.android.com/apk/res/android")]
        public int StartOffset { get; set; }

        [Category("Animation")]
        [XmlAttribute(AttributeName = "repeatCount", Namespace = "http://schemas.android.com/apk/res/android")]
        public int RepeatCount { get; set; }

        [Category("Animation")]
        [XmlAttribute(AttributeName = "repeatMode", Namespace = "http://schemas.android.com/apk/res/android")]
        public RepeatMode RepeatMode { get; set; }

        [Category("Animation")]
        [XmlAttribute(AttributeName = "zAdjustment", Namespace = "http://schemas.android.com/apk/res/android")]
        public ZAdjustment ZAdjustment { get; set; }

        [Category("Animation")]
        [XmlAttribute(AttributeName = "detachWallpaper", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool DetachWallpaper { get; set; }
    }
}
