using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class AnimationDrawable : AndroidElement
    {
        [Category("AnimationDrawable")]
        [XmlAttribute(AttributeName = "visible", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool Visible { get; set; }

        [Category("AnimationDrawable")]
        [XmlAttribute(AttributeName = "variablePadding", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool VariablePadding { get; set; }

        [Category("AnimationDrawable")]
        [XmlAttribute(AttributeName = "oneshot", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool Oneshot { get; set; }
    }
}
