using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class GradientDrawable : AndroidElement
    {
        [Category("GradientDrawable")]
        [XmlAttribute(AttributeName = "visible", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool Visible { get; set; }

        [Category("GradientDrawable")]
        [XmlAttribute(AttributeName = "shape", Namespace = "http://schemas.android.com/apk/res/android")]
        public Shape Shape { get; set; }

        [Category("GradientDrawable")]
        [XmlAttribute(AttributeName = "innerRadiusRatio", Namespace = "http://schemas.android.com/apk/res/android")]
        public double InnerRadiusRatio { get; set; }

        [Category("GradientDrawable")]
        [XmlAttribute(AttributeName = "thicknessRatio", Namespace = "http://schemas.android.com/apk/res/android")]
        public double ThicknessRatio { get; set; }

        [Category("GradientDrawable")]
        [XmlAttribute(AttributeName = "innerRadius", Namespace = "http://schemas.android.com/apk/res/android")]
        public string InnerRadius { get; set; }

        [Category("GradientDrawable")]
        [XmlAttribute(AttributeName = "thickness", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Thickness { get; set; }

        [Category("GradientDrawable")]
        [XmlAttribute(AttributeName = "useLevel", Namespace = "http://schemas.android.com/apk/res/android")]
        public string UseLevel { get; set; }
    }
}
