using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class GradientDrawableGradient : AndroidElement
    {
        [Category("GradientDrawableGradient")]
        [XmlAttribute(AttributeName = "startColor", Namespace = "http://schemas.android.com/apk/res/android")]
        public string StartColor { get; set; }

        [Category("GradientDrawableGradient")]
        [XmlAttribute(AttributeName = "centerColor", Namespace = "http://schemas.android.com/apk/res/android")]
        public string CenterColor { get; set; }

        [Category("GradientDrawableGradient")]
        [XmlAttribute(AttributeName = "endColor", Namespace = "http://schemas.android.com/apk/res/android")]
        public string EndColor { get; set; }

        [Category("GradientDrawableGradient")]
        [XmlAttribute(AttributeName = "useLevel", Namespace = "http://schemas.android.com/apk/res/android")]
        public string UseLevel { get; set; }

        [Category("GradientDrawableGradient")]
        [XmlAttribute(AttributeName = "angle", Namespace = "http://schemas.android.com/apk/res/android")]
        public double Angle { get; set; }

        [Category("GradientDrawableGradient")]
        [XmlAttribute(AttributeName = "type", Namespace = "http://schemas.android.com/apk/res/android")]
        public Type Type { get; set; }

        [Category("GradientDrawableGradient")]
        [XmlAttribute(AttributeName = "centerX", Namespace = "http://schemas.android.com/apk/res/android")]
        public string CenterX { get; set; }

        [Category("GradientDrawableGradient")]
        [XmlAttribute(AttributeName = "centerY", Namespace = "http://schemas.android.com/apk/res/android")]
        public string CenterY { get; set; }

        [Category("GradientDrawableGradient")]
        [XmlAttribute(AttributeName = "gradientRadius", Namespace = "http://schemas.android.com/apk/res/android")]
        public string GradientRadius { get; set; }
    }
}
