using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class GridLayoutAnimation : AndroidElement
    {
        [Category("GridLayoutAnimation")]
        [XmlAttribute(AttributeName = "columnDelay", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ColumnDelay { get; set; }

        [Category("GridLayoutAnimation")]
        [XmlAttribute(AttributeName = "rowDelay", Namespace = "http://schemas.android.com/apk/res/android")]
        public string RowDelay { get; set; }

        [Category("GridLayoutAnimation")]
        [XmlAttribute(AttributeName = "direction", Namespace = "http://schemas.android.com/apk/res/android")]
        public Direction Direction { get; set; }

        [Category("GridLayoutAnimation")]
        [XmlAttribute(AttributeName = "directionPriority", Namespace = "http://schemas.android.com/apk/res/android")]
        public DirectionPriority DirectionPriority { get; set; }
    }
}
