using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class RotateDrawable : AndroidElement
    {
        [Category("RotateDrawable")]
        [XmlAttribute(AttributeName = "visible", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool Visible { get; set; }

        [Category("RotateDrawable")]
        [XmlAttribute(AttributeName = "fromDegrees", Namespace = "http://schemas.android.com/apk/res/android")]
        public double FromDegrees { get; set; }

        [Category("RotateDrawable")]
        [XmlAttribute(AttributeName = "toDegrees", Namespace = "http://schemas.android.com/apk/res/android")]
        public double ToDegrees { get; set; }

        [Category("RotateDrawable")]
        [XmlAttribute(AttributeName = "pivotX", Namespace = "http://schemas.android.com/apk/res/android")]
        public string PivotX { get; set; }

        [Category("RotateDrawable")]
        [XmlAttribute(AttributeName = "pivotY", Namespace = "http://schemas.android.com/apk/res/android")]
        public string PivotY { get; set; }

        [Category("RotateDrawable")]
        [XmlAttribute(AttributeName = "drawable", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Drawable { get; set; }
    }
}
