using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class ScaleAnimation : AndroidElement
    {
        [Category("ScaleAnimation")]
        [XmlAttribute(AttributeName = "fromXScale", Namespace = "http://schemas.android.com/apk/res/android")]
        public double FromXScale { get; set; }

        [Category("ScaleAnimation")]
        [XmlAttribute(AttributeName = "toXScale", Namespace = "http://schemas.android.com/apk/res/android")]
        public double ToXScale { get; set; }

        [Category("ScaleAnimation")]
        [XmlAttribute(AttributeName = "fromYScale", Namespace = "http://schemas.android.com/apk/res/android")]
        public double FromYScale { get; set; }

        [Category("ScaleAnimation")]
        [XmlAttribute(AttributeName = "toYScale", Namespace = "http://schemas.android.com/apk/res/android")]
        public double ToYScale { get; set; }

        [Category("ScaleAnimation")]
        [XmlAttribute(AttributeName = "pivotX", Namespace = "http://schemas.android.com/apk/res/android")]
        public string PivotX { get; set; }

        [Category("ScaleAnimation")]
        [XmlAttribute(AttributeName = "pivotY", Namespace = "http://schemas.android.com/apk/res/android")]
        public string PivotY { get; set; }
    }
}
