using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class ScaleDrawable : AndroidElement
    {
        [Category("ScaleDrawable")]
        [XmlAttribute(AttributeName = "scaleWidth", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ScaleWidth { get; set; }

        [Category("ScaleDrawable")]
        [XmlAttribute(AttributeName = "scaleHeight", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ScaleHeight { get; set; }

        [Category("ScaleDrawable")]
        [XmlAttribute(AttributeName = "scaleGravity", Namespace = "http://schemas.android.com/apk/res/android")]
        public ScaleGravity ScaleGravity { get; set; }

        [Category("ScaleDrawable")]
        [XmlAttribute(AttributeName = "drawable", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Drawable { get; set; }
    }
}
