using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class StateListDrawable : AndroidElement
    {
        [Category("StateListDrawable")]
        [XmlAttribute(AttributeName = "visible", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool Visible { get; set; }

        [Category("StateListDrawable")]
        [XmlAttribute(AttributeName = "variablePadding", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool VariablePadding { get; set; }

        [Category("StateListDrawable")]
        [XmlAttribute(AttributeName = "constantSize", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool ConstantSize { get; set; }

        [Category("StateListDrawable")]
        [XmlAttribute(AttributeName = "dither", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool Dither { get; set; }
    }
}
