using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class WindowAnimation : AndroidElement
    {
        [Category("WindowAnimation")]
        [XmlAttribute(AttributeName = "windowEnterAnimation", Namespace = "http://schemas.android.com/apk/res/android")]
        public string WindowEnterAnimation { get; set; }

        [Category("WindowAnimation")]
        [XmlAttribute(AttributeName = "windowExitAnimation", Namespace = "http://schemas.android.com/apk/res/android")]
        public string WindowExitAnimation { get; set; }

        [Category("WindowAnimation")]
        [XmlAttribute(AttributeName = "windowShowAnimation", Namespace = "http://schemas.android.com/apk/res/android")]
        public string WindowShowAnimation { get; set; }

        [Category("WindowAnimation")]
        [XmlAttribute(AttributeName = "windowHideAnimation", Namespace = "http://schemas.android.com/apk/res/android")]
        public string WindowHideAnimation { get; set; }

        [Category("WindowAnimation")]
        [XmlAttribute(AttributeName = "activityOpenEnterAnimation", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ActivityOpenEnterAnimation { get; set; }

        [Category("WindowAnimation")]
        [XmlAttribute(AttributeName = "activityOpenExitAnimation", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ActivityOpenExitAnimation { get; set; }

        [Category("WindowAnimation")]
        [XmlAttribute(AttributeName = "activityCloseEnterAnimation", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ActivityCloseEnterAnimation { get; set; }

        [Category("WindowAnimation")]
        [XmlAttribute(AttributeName = "activityCloseExitAnimation", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ActivityCloseExitAnimation { get; set; }

        [Category("WindowAnimation")]
        [XmlAttribute(AttributeName = "taskOpenEnterAnimation", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TaskOpenEnterAnimation { get; set; }

        [Category("WindowAnimation")]
        [XmlAttribute(AttributeName = "taskOpenExitAnimation", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TaskOpenExitAnimation { get; set; }

        [Category("WindowAnimation")]
        [XmlAttribute(AttributeName = "taskCloseEnterAnimation", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TaskCloseEnterAnimation { get; set; }

        [Category("WindowAnimation")]
        [XmlAttribute(AttributeName = "taskCloseExitAnimation", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TaskCloseExitAnimation { get; set; }

        [Category("WindowAnimation")]
        [XmlAttribute(AttributeName = "taskToFrontEnterAnimation", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TaskToFrontEnterAnimation { get; set; }

        [Category("WindowAnimation")]
        [XmlAttribute(AttributeName = "taskToFrontExitAnimation", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TaskToFrontExitAnimation { get; set; }

        [Category("WindowAnimation")]
        [XmlAttribute(AttributeName = "taskToBackEnterAnimation", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TaskToBackEnterAnimation { get; set; }

        [Category("WindowAnimation")]
        [XmlAttribute(AttributeName = "taskToBackExitAnimation", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TaskToBackExitAnimation { get; set; }

        [Category("WindowAnimation")]
        [XmlAttribute(AttributeName = "wallpaperOpenEnterAnimation", Namespace = "http://schemas.android.com/apk/res/android")]
        public string WallpaperOpenEnterAnimation { get; set; }

        [Category("WindowAnimation")]
        [XmlAttribute(AttributeName = "wallpaperOpenExitAnimation", Namespace = "http://schemas.android.com/apk/res/android")]
        public string WallpaperOpenExitAnimation { get; set; }

        [Category("WindowAnimation")]
        [XmlAttribute(AttributeName = "wallpaperCloseEnterAnimation", Namespace = "http://schemas.android.com/apk/res/android")]
        public string WallpaperCloseEnterAnimation { get; set; }

        [Category("WindowAnimation")]
        [XmlAttribute(AttributeName = "wallpaperCloseExitAnimation", Namespace = "http://schemas.android.com/apk/res/android")]
        public string WallpaperCloseExitAnimation { get; set; }

        [Category("WindowAnimation")]
        [XmlAttribute(AttributeName = "wallpaperIntraOpenEnterAnimation", Namespace = "http://schemas.android.com/apk/res/android")]
        public string WallpaperIntraOpenEnterAnimation { get; set; }

        [Category("WindowAnimation")]
        [XmlAttribute(AttributeName = "wallpaperIntraOpenExitAnimation", Namespace = "http://schemas.android.com/apk/res/android")]
        public string WallpaperIntraOpenExitAnimation { get; set; }

        [Category("WindowAnimation")]
        [XmlAttribute(AttributeName = "wallpaperIntraCloseEnterAnimation", Namespace = "http://schemas.android.com/apk/res/android")]
        public string WallpaperIntraCloseEnterAnimation { get; set; }

        [Category("WindowAnimation")]
        [XmlAttribute(AttributeName = "wallpaperIntraCloseExitAnimation", Namespace = "http://schemas.android.com/apk/res/android")]
        public string WallpaperIntraCloseExitAnimation { get; set; }
    }
}
