using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class CompoundButton : Button
    {
        [Category("CompoundButton")]
        [XmlAttribute(AttributeName = "checked", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool @checked { get; set; }

        [Category("CompoundButton")]
        [XmlAttribute(AttributeName = "button", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Button { get; set; }
    }
}
