using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class DialogPreference : AndroidElement
    {
        [Category("DialogPreference")]
        [XmlAttribute(AttributeName = "dialogTitle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string DialogTitle { get; set; }

        [Category("DialogPreference")]
        [XmlAttribute(AttributeName = "dialogMessage", Namespace = "http://schemas.android.com/apk/res/android")]
        public string DialogMessage { get; set; }

        [Category("DialogPreference")]
        [XmlAttribute(AttributeName = "dialogIcon", Namespace = "http://schemas.android.com/apk/res/android")]
        public string DialogIcon { get; set; }

        [Category("DialogPreference")]
        [XmlAttribute(AttributeName = "positiveButtonText", Namespace = "http://schemas.android.com/apk/res/android")]
        public string PositiveButtonText { get; set; }

        [Category("DialogPreference")]
        [XmlAttribute(AttributeName = "negativeButtonText", Namespace = "http://schemas.android.com/apk/res/android")]
        public string NegativeButtonText { get; set; }

        [Category("DialogPreference")]
        [XmlAttribute(AttributeName = "dialogLayout", Namespace = "http://schemas.android.com/apk/res/android")]
        public string DialogLayout { get; set; }
    }
}
