using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class DrawableCorners : AndroidElement
    {
        [Category("DrawableCorners")]
        [XmlAttribute(AttributeName = "radius", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Radius { get; set; }

        [Category("DrawableCorners")]
        [XmlAttribute(AttributeName = "topLeftRadius", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TopLeftRadius { get; set; }

        [Category("DrawableCorners")]
        [XmlAttribute(AttributeName = "topRightRadius", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TopRightRadius { get; set; }

        [Category("DrawableCorners")]
        [XmlAttribute(AttributeName = "bottomLeftRadius", Namespace = "http://schemas.android.com/apk/res/android")]
        public string BottomLeftRadius { get; set; }

        [Category("DrawableCorners")]
        [XmlAttribute(AttributeName = "bottomRightRadius", Namespace = "http://schemas.android.com/apk/res/android")]
        public string BottomRightRadius { get; set; }
    }
}
