using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class DrawableStates : AndroidElement
    {
        [Category("DrawableStates")]
        [XmlAttribute(AttributeName = "state_focused", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool StateFocused { get; set; }

        [Category("DrawableStates")]
        [XmlAttribute(AttributeName = "state_window_focused", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool StateWindowFocused { get; set; }

        [Category("DrawableStates")]
        [XmlAttribute(AttributeName = "state_enabled", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool StateEnabled { get; set; }

        [Category("DrawableStates")]
        [XmlAttribute(AttributeName = "state_checkable", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool StateCheckable { get; set; }

        [Category("DrawableStates")]
        [XmlAttribute(AttributeName = "state_checked", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool StateChecked { get; set; }

        [Category("DrawableStates")]
        [XmlAttribute(AttributeName = "state_selected", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool StateSelected { get; set; }

        [Category("DrawableStates")]
        [XmlAttribute(AttributeName = "state_active", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool StateActive { get; set; }

        [Category("DrawableStates")]
        [XmlAttribute(AttributeName = "state_single", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool StateSingle { get; set; }

        [Category("DrawableStates")]
        [XmlAttribute(AttributeName = "state_first", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool StateFirst { get; set; }

        [Category("DrawableStates")]
        [XmlAttribute(AttributeName = "state_middle", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool StateMiddle { get; set; }

        [Category("DrawableStates")]
        [XmlAttribute(AttributeName = "state_last", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool StateLast { get; set; }

        [Category("DrawableStates")]
        [XmlAttribute(AttributeName = "state_pressed", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool StatePressed { get; set; }
    }
}
