using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class ExpandableListGroupIndicatorState : AndroidElement
    {
        [Category("ExpandableListGroupIndicatorState")]
        [XmlAttribute(AttributeName = "state_expanded", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool StateExpanded { get; set; }

        [Category("ExpandableListGroupIndicatorState")]
        [XmlAttribute(AttributeName = "state_empty", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool StateEmpty { get; set; }
    }
}
