using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class FrameLayout : ViewGroup
    {
        [Category("FrameLayout")]
        [XmlAttribute(AttributeName = "foreground", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Foreground { get; set; }

        [Category("FrameLayout")]
        [XmlAttribute(AttributeName = "foregroundGravity", Namespace = "http://schemas.android.com/apk/res/android")]
        public ForegroundGravity ForegroundGravity { get; set; }

        [Category("FrameLayout")]
        [XmlAttribute(AttributeName = "foregroundInsidePadding", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool ForegroundInsidePadding { get; set; }

        [Category("FrameLayout")]
        [XmlAttribute(AttributeName = "measureAllChildren", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool MeasureAllChildren { get; set; }
    }
}
