using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class Gallery : AndroidElement
    {
        [Category("Gallery")]
        [XmlAttribute(AttributeName = "gravity", Namespace = "http://schemas.android.com/apk/res/android")]
        public Gravity Gravity { get; set; }

        [Category("Gallery")]
        [XmlAttribute(AttributeName = "animationDuration", Namespace = "http://schemas.android.com/apk/res/android")]
        public int AnimationDuration { get; set; }

        [Category("Gallery")]
        [XmlAttribute(AttributeName = "spacing", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Spacing { get; set; }

        [Category("Gallery")]
        [XmlAttribute(AttributeName = "unselectedAlpha", Namespace = "http://schemas.android.com/apk/res/android")]
        public double UnselectedAlpha { get; set; }
    }
}
