using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class GridView : AndroidElement
    {
        [Category("GridView")]
        [XmlAttribute(AttributeName = "horizontalSpacing", Namespace = "http://schemas.android.com/apk/res/android")]
        public string HorizontalSpacing { get; set; }

        [Category("GridView")]
        [XmlAttribute(AttributeName = "verticalSpacing", Namespace = "http://schemas.android.com/apk/res/android")]
        public string VerticalSpacing { get; set; }

        [Category("GridView")]
        [XmlAttribute(AttributeName = "stretchMode", Namespace = "http://schemas.android.com/apk/res/android")]
        public StretchMode StretchMode { get; set; }

        [Category("GridView")]
        [XmlAttribute(AttributeName = "columnWidth", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ColumnWidth { get; set; }

        [Category("GridView")]
        [XmlAttribute(AttributeName = "numColumns", Namespace = "http://schemas.android.com/apk/res/android")]
        public int NumColumns { get; set; }

        [Category("GridView")]
        [XmlAttribute(AttributeName = "gravity", Namespace = "http://schemas.android.com/apk/res/android")]
        public Gravity Gravity { get; set; }
    }
}
