using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class InsetDrawable : AndroidElement
    {
        [Category("InsetDrawable")]
        [XmlAttribute(AttributeName = "visible", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool Visible { get; set; }

        [Category("InsetDrawable")]
        [XmlAttribute(AttributeName = "drawable", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Drawable { get; set; }

        [Category("InsetDrawable")]
        [XmlAttribute(AttributeName = "insetLeft", Namespace = "http://schemas.android.com/apk/res/android")]
        public string InsetLeft { get; set; }

        [Category("InsetDrawable")]
        [XmlAttribute(AttributeName = "insetRight", Namespace = "http://schemas.android.com/apk/res/android")]
        public string InsetRight { get; set; }

        [Category("InsetDrawable")]
        [XmlAttribute(AttributeName = "insetTop", Namespace = "http://schemas.android.com/apk/res/android")]
        public string InsetTop { get; set; }

        [Category("InsetDrawable")]
        [XmlAttribute(AttributeName = "insetBottom", Namespace = "http://schemas.android.com/apk/res/android")]
        public string InsetBottom { get; set; }
    }
}
