using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class KeyboardView : AndroidElement
    {
        [Category("KeyboardView")]
        [XmlAttribute(AttributeName = "keyboardViewStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string KeyboardViewStyle { get; set; }

        [Category("KeyboardView")]
        [XmlAttribute(AttributeName = "keyBackground", Namespace = "http://schemas.android.com/apk/res/android")]
        public string KeyBackground { get; set; }

        [Category("KeyboardView")]
        [XmlAttribute(AttributeName = "keyTextSize", Namespace = "http://schemas.android.com/apk/res/android")]
        public string KeyTextSize { get; set; }

        [Category("KeyboardView")]
        [XmlAttribute(AttributeName = "labelTextSize", Namespace = "http://schemas.android.com/apk/res/android")]
        public string LabelTextSize { get; set; }

        [Category("KeyboardView")]
        [XmlAttribute(AttributeName = "keyTextColor", Namespace = "http://schemas.android.com/apk/res/android")]
        public string KeyTextColor { get; set; }

        [Category("KeyboardView")]
        [XmlAttribute(AttributeName = "keyPreviewLayout", Namespace = "http://schemas.android.com/apk/res/android")]
        public string KeyPreviewLayout { get; set; }

        [Category("KeyboardView")]
        [XmlAttribute(AttributeName = "keyPreviewOffset", Namespace = "http://schemas.android.com/apk/res/android")]
        public string KeyPreviewOffset { get; set; }

        [Category("KeyboardView")]
        [XmlAttribute(AttributeName = "keyPreviewHeight", Namespace = "http://schemas.android.com/apk/res/android")]
        public string KeyPreviewHeight { get; set; }

        [Category("KeyboardView")]
        [XmlAttribute(AttributeName = "verticalCorrection", Namespace = "http://schemas.android.com/apk/res/android")]
        public string VerticalCorrection { get; set; }

        [Category("KeyboardView")]
        [XmlAttribute(AttributeName = "popupLayout", Namespace = "http://schemas.android.com/apk/res/android")]
        public string PopupLayout { get; set; }

        [Category("KeyboardView")]
        [XmlAttribute(AttributeName = "shadowColor", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ShadowColor { get; set; }

        [Category("KeyboardView")]
        [XmlAttribute(AttributeName = "shadowRadius", Namespace = "http://schemas.android.com/apk/res/android")]
        public double ShadowRadius { get; set; }
    }
}
