using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class LayoutAnimation : AndroidElement
    {
        [Category("LayoutAnimation")]
        [XmlAttribute(AttributeName = "delay", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Delay { get; set; }

        [Category("LayoutAnimation")]
        [XmlAttribute(AttributeName = "animation", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Animation { get; set; }

        [Category("LayoutAnimation")]
        [XmlAttribute(AttributeName = "animationOrder", Namespace = "http://schemas.android.com/apk/res/android")]
        public AnimationOrder AnimationOrder { get; set; }

        [Category("LayoutAnimation")]
        [XmlAttribute(AttributeName = "interpolator", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Interpolator { get; set; }
    }
}
