using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class LevelListDrawableItem : AndroidElement
    {
        [Category("LevelListDrawableItem")]
        [XmlAttribute(AttributeName = "minLevel", Namespace = "http://schemas.android.com/apk/res/android")]
        public int MinLevel { get; set; }

        [Category("LevelListDrawableItem")]
        [XmlAttribute(AttributeName = "maxLevel", Namespace = "http://schemas.android.com/apk/res/android")]
        public int MaxLevel { get; set; }

        [Category("LevelListDrawableItem")]
        [XmlAttribute(AttributeName = "drawable", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Drawable { get; set; }
    }
}
