using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class ListView : AndroidElement
    {
        [Category("ListView")]
        [XmlAttribute(AttributeName = "entries", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Entries { get; set; }

        [Category("ListView")]
        [XmlAttribute(AttributeName = "divider", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Divider { get; set; }

        [Category("ListView")]
        [XmlAttribute(AttributeName = "dividerHeight", Namespace = "http://schemas.android.com/apk/res/android")]
        public string DividerHeight { get; set; }

        [Category("ListView")]
        [XmlAttribute(AttributeName = "choiceMode", Namespace = "http://schemas.android.com/apk/res/android")]
        public ChoiceMode ChoiceMode { get; set; }

        [Category("ListView")]
        [XmlAttribute(AttributeName = "headerDividersEnabled", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool HeaderDividersEnabled { get; set; }

        [Category("ListView")]
        [XmlAttribute(AttributeName = "footerDividersEnabled", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool FooterDividersEnabled { get; set; }
    }
}
