using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class MenuItem : AndroidElement
    {
        [Category("MenuItem")]
        [XmlAttribute(AttributeName = "id", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Id { get; set; }

        [Category("MenuItem")]
        [XmlAttribute(AttributeName = "menuCategory", Namespace = "http://schemas.android.com/apk/res/android")]
        public MenuCategory MenuCategory { get; set; }

        [Category("MenuItem")]
        [XmlAttribute(AttributeName = "orderInCategory", Namespace = "http://schemas.android.com/apk/res/android")]
        public int OrderInCategory { get; set; }

        [Category("MenuItem")]
        [XmlAttribute(AttributeName = "title", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Title { get; set; }

        [Category("MenuItem")]
        [XmlAttribute(AttributeName = "titleCondensed", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TitleCondensed { get; set; }

        [Category("MenuItem")]
        [XmlAttribute(AttributeName = "icon", Namespace = "http://schemas.android.com/apk/res/android")]
        public Icon Icon { get; set; }

        [Category("MenuItem")]
        [XmlAttribute(AttributeName = "alphabeticShortcut", Namespace = "http://schemas.android.com/apk/res/android")]
        public string AlphabeticShortcut { get; set; }

        [Category("MenuItem")]
        [XmlAttribute(AttributeName = "numericShortcut", Namespace = "http://schemas.android.com/apk/res/android")]
        public string NumericShortcut { get; set; }

        [Category("MenuItem")]
        [XmlAttribute(AttributeName = "checkable", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool Checkable { get; set; }

        [Category("MenuItem")]
        [XmlAttribute(AttributeName = "checked", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool @checked { get; set; }

        [Category("MenuItem")]
        [XmlAttribute(AttributeName = "visible", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool Visible { get; set; }

        [Category("MenuItem")]
        [XmlAttribute(AttributeName = "enabled", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool Enabled { get; set; }
    }
}
