using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class MenuView : AndroidElement
    {
        [Category("MenuView")]
        [XmlAttribute(AttributeName = "itemTextAppearance", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ItemTextAppearance { get; set; }

        [Category("MenuView")]
        [XmlAttribute(AttributeName = "horizontalDivider", Namespace = "http://schemas.android.com/apk/res/android")]
        public string HorizontalDivider { get; set; }

        [Category("MenuView")]
        [XmlAttribute(AttributeName = "verticalDivider", Namespace = "http://schemas.android.com/apk/res/android")]
        public string VerticalDivider { get; set; }

        [Category("MenuView")]
        [XmlAttribute(AttributeName = "headerBackground", Namespace = "http://schemas.android.com/apk/res/android")]
        public string HeaderBackground { get; set; }

        [Category("MenuView")]
        [XmlAttribute(AttributeName = "itemBackground", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ItemBackground { get; set; }

        [Category("MenuView")]
        [XmlAttribute(AttributeName = "windowAnimationStyle", Namespace = "http://schemas.android.com/apk/res/android")]
        public string WindowAnimationStyle { get; set; }

        [Category("MenuView")]
        [XmlAttribute(AttributeName = "itemIconDisabledAlpha", Namespace = "http://schemas.android.com/apk/res/android")]
        public double ItemIconDisabledAlpha { get; set; }
    }
}
