using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class Preference : AndroidElement
    {
        [Category("Preference")]
        [XmlAttribute(AttributeName = "key", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Key { get; set; }

        [Category("Preference")]
        [XmlAttribute(AttributeName = "title", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Title { get; set; }

        [Category("Preference")]
        [XmlAttribute(AttributeName = "summary", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Summary { get; set; }

        [Category("Preference")]
        [XmlAttribute(AttributeName = "order", Namespace = "http://schemas.android.com/apk/res/android")]
        public int Order { get; set; }

        [Category("Preference")]
        [XmlAttribute(AttributeName = "layout", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Layout { get; set; }

        [Category("Preference")]
        [XmlAttribute(AttributeName = "widgetLayout", Namespace = "http://schemas.android.com/apk/res/android")]
        public string WidgetLayout { get; set; }

        [Category("Preference")]
        [XmlAttribute(AttributeName = "enabled", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool Enabled { get; set; }

        [Category("Preference")]
        [XmlAttribute(AttributeName = "selectable", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool Selectable { get; set; }

        [Category("Preference")]
        [XmlAttribute(AttributeName = "dependency", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Dependency { get; set; }

        [Category("Preference")]
        [XmlAttribute(AttributeName = "persistent", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Persistent { get; set; }

        [Category("Preference")]
        [XmlAttribute(AttributeName = "defaultValue", Namespace = "http://schemas.android.com/apk/res/android")]
        public string DefaultValue { get; set; }

        [Category("Preference")]
        [XmlAttribute(AttributeName = "shouldDisableView", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool ShouldDisableView { get; set; }
    }
}
