using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class ProgressBar : View
    {
        [Category("ProgressBar")]
        [XmlAttribute(AttributeName = "max", Namespace = "http://schemas.android.com/apk/res/android")]
        public int Max { get; set; }

        [Category("ProgressBar")]
        [XmlAttribute(AttributeName = "progress", Namespace = "http://schemas.android.com/apk/res/android")]
        public int Progress { get; set; }

        [Category("ProgressBar")]
        [XmlAttribute(AttributeName = "secondaryProgress", Namespace = "http://schemas.android.com/apk/res/android")]
        public int SecondaryProgress { get; set; }

        [Category("ProgressBar")]
        [XmlAttribute(AttributeName = "indeterminate", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool Indeterminate { get; set; }

        [Category("ProgressBar")]
        [XmlAttribute(AttributeName = "indeterminateOnly", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool IndeterminateOnly { get; set; }

        [Category("ProgressBar")]
        [XmlAttribute(AttributeName = "indeterminateDrawable", Namespace = "http://schemas.android.com/apk/res/android")]
        public string IndeterminateDrawable { get; set; }

        [Category("ProgressBar")]
        [XmlAttribute(AttributeName = "progressDrawable", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ProgressDrawable { get; set; }

        [Category("ProgressBar")]
        [XmlAttribute(AttributeName = "indeterminateDuration", Namespace = "http://schemas.android.com/apk/res/android")]
        public int IndeterminateDuration { get; set; }

        [Category("ProgressBar")]
        [XmlAttribute(AttributeName = "indeterminateBehavior", Namespace = "http://schemas.android.com/apk/res/android")]
        public IndeterminateBehavior IndeterminateBehavior { get; set; }

        [Category("ProgressBar")]
        [XmlAttribute(AttributeName = "minWidth", Namespace = "http://schemas.android.com/apk/res/android")]
        public double MinWidth { get; set; }

        [Category("ProgressBar")]
        [XmlAttribute(AttributeName = "maxWidth", Namespace = "http://schemas.android.com/apk/res/android")]
        public string MaxWidth { get; set; }

        [Category("ProgressBar")]
        [XmlAttribute(AttributeName = "minHeight", Namespace = "http://schemas.android.com/apk/res/android")]
        public double MinHeight { get; set; }

        [Category("ProgressBar")]
        [XmlAttribute(AttributeName = "maxHeight", Namespace = "http://schemas.android.com/apk/res/android")]
        public string MaxHeight { get; set; }

        [Category("ProgressBar")]
        [XmlAttribute(AttributeName = "interpolator", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Interpolator { get; set; }
    }
}
