using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class RingtonePreference : AndroidElement
    {
        [Category("RingtonePreference")]
        [XmlAttribute(AttributeName = "ringtoneType", Namespace = "http://schemas.android.com/apk/res/android")]
        public RingtoneType RingtoneType { get; set; }

        [Category("RingtonePreference")]
        [XmlAttribute(AttributeName = "showDefault", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool ShowDefault { get; set; }

        [Category("RingtonePreference")]
        [XmlAttribute(AttributeName = "showSilent", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool ShowSilent { get; set; }
    }
}
