using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class TabWidget : LinearLayout
    {
        [Category("TabWidget")]
        [XmlAttribute(AttributeName = "divider", Namespace = "http://schemas.android.com/apk/res/android")]
        public string Divider { get; set; }

        [Category("TabWidget")]
        [XmlAttribute(AttributeName = "tabStripEnabled", Namespace = "http://schemas.android.com/apk/res/android")]
        public bool TabStripEnabled { get; set; }

        [Category("TabWidget")]
        [XmlAttribute(AttributeName = "tabStripLeft", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TabStripLeft { get; set; }

        [Category("TabWidget")]
        [XmlAttribute(AttributeName = "tabStripRight", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TabStripRight { get; set; }
    }
}
