using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class TableLayout : LinearLayout
    {
        [Category("TableLayout")]
        [XmlAttribute(AttributeName = "stretchColumns", Namespace = "http://schemas.android.com/apk/res/android")]
        public string StretchColumns { get; set; }

        [Category("TableLayout")]
        [XmlAttribute(AttributeName = "shrinkColumns", Namespace = "http://schemas.android.com/apk/res/android")]
        public string ShrinkColumns { get; set; }

        [Category("TableLayout")]
        [XmlAttribute(AttributeName = "collapseColumns", Namespace = "http://schemas.android.com/apk/res/android")]
        public string CollapseColumns { get; set; }
    }
}
