using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Jerry.DroidBuilder.ThemeEditor.Layout
{
    public class ToggleButton : AndroidElement
    {
        [Category("ToggleButton")]
        [XmlAttribute(AttributeName = "textOn", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextOn { get; set; }

        [Category("ToggleButton")]
        [XmlAttribute(AttributeName = "textOff", Namespace = "http://schemas.android.com/apk/res/android")]
        public string TextOff { get; set; }

        [Category("ToggleButton")]
        [XmlAttribute(AttributeName = "disabledAlpha", Namespace = "http://schemas.android.com/apk/res/android")]
        public double DisabledAlpha { get; set; }
    }
}
